#[serial_test::serial]
#[tokio::test]
async fn test_exchange_code_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .auth()
        .exchange_code(sideko_rest_api::resources::auth::ExchangeCodeRequest {
            code: "string".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
